gtkmm: Gtk::FileChooserDialog Class Reference

# Gtk::FileChooserDialog Class Reference
[Dialogs]

Convenient file chooser window. More...

Inherits Gtk::Dialog, and Gtk::FileChooser.

Collaboration diagram for Gtk::FileChooserDialog:
[legend]

List of all members.

## Public Member Functions

virtual | ~FileChooserDialog ()
GtkFileChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFileChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| FileChooserDialog (Gtk::Window& parent, const Glib::ustring& title, FileChooserAction action=FILE_CHOOSER_ACTION_OPEN)
| FileChooserDialog (const Glib::ustring& title, FileChooserAction action=FILE_CHOOSER_ACTION_OPEN)
| FileChooserDialog (Gtk::Window& parent, const Glib::ustring& title, FileChooserAction action, const Glib::ustring& backend)
| FileChooserDialog (const Glib::ustring& title, FileChooserAction action, const Glib::ustring& backend)

## Related Functions

(Note that these are not member functions.)
Gtk::FileChooserDialog* | wrap (GtkFileChooserDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Convenient file chooser window.

A FileChooserDialog looks like this:

## Constructor & Destructor Documentation

virtual Gtk::FileChooserDialog::~FileChooserDialog | ( |  | ) | `[virtual]`

Gtk::FileChooserDialog::FileChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring & | title,
|  | FileChooserAction | action = `FILE_CHOOSER_ACTION_OPEN` |
| ) |  |  | `[explicit]`

Gtk::FileChooserDialog::FileChooserDialog | ( | const Glib::ustring & | title,
|  | FileChooserAction | action = `FILE_CHOOSER_ACTION_OPEN` |
| ) |  |  | `[explicit]`

Gtk::FileChooserDialog::FileChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring & | title,
|  | FileChooserAction | action,
|  | const Glib::ustring & | backend |
| ) |  |  | `[explicit]`

Gtk::FileChooserDialog::FileChooserDialog | ( | const Glib::ustring & | title,
|  | FileChooserAction | action,
|  | const Glib::ustring & | backend |
| ) |  |  | `[explicit]`

## Member Function Documentation

const GtkFileChooserDialog* Gtk::FileChooserDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

GtkFileChooserDialog* Gtk::FileChooserDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

## Friends And Related Function Documentation

Gtk::FileChooserDialog* wrap | ( | GtkFileChooserDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/filechooserdialog.h